"""001_Country_Region_City

Revision ID: 682ee69e9c62
Revises: 
Create Date: 2023-08-10 22:28:53.004141

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '682ee69e9c62'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('country',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('vk_id', sa.Integer(), nullable=True),
    sa.Column('title', sa.String(length=256), nullable=True),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_country'))
    )
    op.create_index(op.f('ix_country_id'), 'country', ['id'], unique=False)
    op.create_index(op.f('ix_country_title'), 'country', ['title'], unique=True)
    op.create_index(op.f('ix_country_vk_id'), 'country', ['vk_id'], unique=True)
    op.create_table('region',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('vk_id', sa.Integer(), nullable=True),
    sa.Column('title', sa.String(length=256), nullable=True),
    sa.Column('country_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['country_id'], ['country.id'], name=op.f('fk_region_country_id_country'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_region'))
    )
    op.create_index(op.f('ix_region_country_id'), 'region', ['country_id'], unique=False)
    op.create_index(op.f('ix_region_id'), 'region', ['id'], unique=False)
    op.create_index(op.f('ix_region_title'), 'region', ['title'], unique=True)
    op.create_index(op.f('ix_region_vk_id'), 'region', ['vk_id'], unique=True)
    op.create_table('city',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('vk_id', sa.Integer(), nullable=True),
    sa.Column('title', sa.String(length=256), nullable=True),
    sa.Column('region_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['region_id'], ['region.id'], name=op.f('fk_city_region_id_region'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_city')),
    sa.UniqueConstraint('title', 'region_id', name='city__title__region_id__unique')
    )
    op.create_index(op.f('ix_city_id'), 'city', ['id'], unique=False)
    op.create_index(op.f('ix_city_region_id'), 'city', ['region_id'], unique=False)
    op.create_index(op.f('ix_city_title'), 'city', ['title'], unique=False)
    op.create_index(op.f('ix_city_vk_id'), 'city', ['vk_id'], unique=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_city_vk_id'), table_name='city')
    op.drop_index(op.f('ix_city_title'), table_name='city')
    op.drop_index(op.f('ix_city_region_id'), table_name='city')
    op.drop_index(op.f('ix_city_id'), table_name='city')
    op.drop_table('city')
    op.drop_index(op.f('ix_region_vk_id'), table_name='region')
    op.drop_index(op.f('ix_region_title'), table_name='region')
    op.drop_index(op.f('ix_region_id'), table_name='region')
    op.drop_index(op.f('ix_region_country_id'), table_name='region')
    op.drop_table('region')
    op.drop_index(op.f('ix_country_vk_id'), table_name='country')
    op.drop_index(op.f('ix_country_title'), table_name='country')
    op.drop_index(op.f('ix_country_id'), table_name='country')
    op.drop_table('country')
    # ### end Alembic commands ###
